:root {
    --primary-color: #4f46e5;
    --primary-hover: #4338ca;
    --secondary-color: #64748b;
    --background: #f8fafc;
    --surface: #ffffff;
    --text-primary: #0f172a;
    --text-secondary: #64748b;
    --border-color: #e2e8f0;
    --success-color: #22c55e;
	--info-color: #225ec5;
    --danger-color: #ef4444;
    --shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 1px 2px rgba(0, 0, 0, 0.06);
    --shadow-lg: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
    --radius: 0.5rem;
}

* {
  box-sizing: border-box;
}

html, body { height: 100%; }
body {
	font-family: monospace;
	padding: 0;
	margin: 0;
	overflow: hidden;
}

#win-body {
	background-repeat: no-repeat;
	background-size: cover;
	background-attachment: fixed;
}

.paperwall {
	/* Foto oleh <a href="https://unsplash.com/id/@therealslkhv?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Almas Salakhov</a> di <a href="https://unsplash.com/id/foto/bentuk-melengkung-oranye-dan-merah-abstrak-ej5sArkD1Ag?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Unsplash</a> */
	background-image: url("images/almas-salakhov-ej5sArkD1Ag-unsplash.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-attachment: fixed;
	/*background-color: rgba(255,255,255,0.4);
	background-blend-mode: overlay;*/
}

/* Toast Notification */
.toast {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    background: var(--text-primary);
    color: white;
    padding: 1rem 1.5rem;
    border-radius: var(--radius);
    box-shadow: var(--shadow-lg);
    transform: translateY(100px);
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 1000;
}

.toast.active {
    transform: translateY(0);
    opacity: 1;
}

.toast.success {
    background: var(--success-color);
}

.toast.info {
	background: var(--info-color);
}

.toast.error {
    background: var(--danger-color);
}

.a-link {
	cursor: pointer;
}

.hidden {
	display: none !important;
}

.tabulator { font-size: 8pt !important; }
.tabulator-row, .tabulator-headers { min-height: 4px; }
.tabulator-row .tabulator-cell, .tabulator-col-content { padding: 4px !important; }
.tabulator-tableholder:has(tabulator-placeholder-contents) {overflow: hidden !important;}
.tabulator-header-filter input {
	/*border: 1px solid #888;*/ 
	border-radius: 4px;
}
.tabulator-header-filter input[type=search] {
	min-width: 10px;
}

.jsCalendar {
	font-weight: bold;
}
.jsCalendar tr {
	line-height: 0 !important;
}
.jsCalendar tbody td {
	font-weight: normal !important;
}
.jsCalendar table>thead>tr>* {
	background: none !important;
}
.jsCalendar-title-name {
	font-weight: normal !important;
}
.jsCalendar-week-days th {
	font-weight: normal !important;
}
.jsCalendar-nav-left::after {
	content: "‹" !important;
}
.jsCalendar-nav-right::after {
	content: "›" !important;
}

.title-bar-text {
	display: flex;
	flex-direction: row;
	justify-content: center;
	gap: 8px;
}

.one-content {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 8px;
}
.one-content img.h2 {
	margin-left: 16px;
	width: 48px;
	height: 48px;
}
.one-content h2.confirm {
	padding-left: 4px !important;
}
h2.confirm {
	text-align: center;
	padding-left: 16px;
	padding-right: 16px;
}
.one-content img.h4 {
	margin-left: 8px;
	width: 32px;
	height: 32px;
}
.one-content h4.confirm {
	padding-left: 4px !important;
}
h4.confirm {
	text-align: center;
	padding-left: 8px;
	padding-right: 8px;
}

.zform {
	z-index: 10;
}
.hx-menu-icon {
	margin-left: 3px;
}
.full-height {
	height: 100%;
	display: flex;
	flex-direction: column;
}

.upper-value { text-transform: uppercase; }

.fdlg > div > label {
	display: inline-block;
	min-width: 150px;
}

.my-toast h4 {
	margin: 0;
	padding: 0;
	font-size: 1.2em;
}
.toast-error {
	background: #550000;
}
.toast-success {
	background: #32cd32;
}
.toast-info {
	background: #7393b3;
}

.ctrl-stack {
	flex: 1 1 0;
	display: flex;
	flex-direction: column;
}

.ctrl-view {
	flex: 1 1 0;
	
	display: flex;
	flex-direction: row;
	align-items: stretch;
}
.ctrl-view .page-left {
	flex: 1 1 0;
	max-width: 100%;
	overflow: auto;
	display: flex;
	flex-direction: column;
	align-items: stretch;
}
.ctrl-view .page-right {
	flex: 1;
	max-width: 100%;
	overflow: auto;
	display: flex;
	flex-direction: column;
}
.page-right.accordion {
	flex: 1 1 0;
	display: flex;
	flex-direction: column;
}
.ctrl-view .page-table {
	flex: 1 1 0;
}

.main2 > input[type=button],
.main1 > input[type=button] {
	border: 2px solid #99c;
	background-color: #eef;
	border: 2px solid #99c;
}
.main1 > input[type=button]:hover {
	background-color: #ffa;
}
.main2 > input[type=button]:hover {
    background-color: #faa;
}
.maint {
	flex: 1 1 0;
	display: flex;
	flex-direction: row;
	align-items: stretch !important;
	justify-content: center;
}
.maint > div {
	padding: 4px 8px;
	border: 1px solid #999;
	border-radius: 4px;
}

.ctrl-toolbar {
	display: flex;
	flex-direction: row;
	align-items: stretch;
	border-bottom: 1px solid #aaa; 
}
.ctrl-toolbar > div {
	padding: 4px;

	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}
.ctrl-toolbar > div:not(last-child) {
	margin-right: 2px;
}
.ctrl-toolbar > div > input[type=button] {
	min-width: 60px;
	padding: 4px 8px;
	margin: 0;
	border-width: 2px;
	border-style: solid;
}
/*
.ctrl-toolbar > div > input[type=button]:hover {
	border: 2px solid #99c;
}
*/
.ctrl-toolbar > div > input[type=button]:first-child {
	border-radius: 8px 0 0 8px;
	border-right-width: 0;
}
.ctrl-toolbar > div > input[type=button]:last-child {
	border-radius: 0 8px 8px 0;
	border-left-width: 0;
}
.ctrl-toolbar > div > input[type=button]:only-child {
	border-radius: 8px;
	border-width: 2px;
	border-style: solid;
}
.ctrl-toolbar > div > input[type=button]:not(:first-child):not(:last-child) {
	border-left-width: 0;
	border-right-width: 0;
	margin-left: -4px;
	margin-right: -4px;
}
.ctrl-toolbar > div > input[type=button]:not(:last-child) {
	border-right: 1px solid #99c;
}

.sbar-fix > a,
.sbar-fix > p {
	flex-grow: 0 !important;
	padding: 3px 5px !important;
}
.sbar-fix > p.sep {
	flex-grow: 1 !important;
}

.field {
	display: flex;
	flex-direction: row;
	align-items: center;
}
.field > label:first-child {
	min-width: 150px;
	width: 20%;
	white-space: pre;
}
.field > label:not(:first-child) {
	display: none;
}
.field > div.input,
.field > select,
.field > textarea,
.field > input {
	flex: 1 1 0;
}
.field > input[type=checkbox] {
	appearance: auto !important;
	opacity: 1 !important;
}

.flexrow {
	display: flex;
	flex-direction: row;
	gap: 6px;
}
.flexrow > * {
	flex: 1;
}

.flexcol	{
	display: flex;
	flex-direction: column;
}

.nomargin {
	margin: none !important;
}
.hta94 { height: 8.2em !important; }

table.striped {
	width: 100% !important;
	border-collapse: collapse;
	width: auto;
}
table.striped td {
	max-height: 25px !important;
}
table.striped th, table.striped td {
	border: 1px solid #999;
	padding: 4px 8px;
}
table.striped tr:nth-child(odd) {
	background-color: rgba(200,200,200,.3);
}
table.striped tr:nth-child(even) {
	background-color: rgba(220,220,220,.3);
}
table.striped tr td:first-child {
	background-color: rgba(150,150,150,.5);
	color: #000;
	text-align: left;
	/* max-width: 35%; */
	width: 35%;
}

.pops {
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0,0,0,0.25);
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

.widget {
	position: absolute;
	right: 15px;
	bottom: 35px;
	display: flex;
	flex-direction: row;
	gap: 5px;
	z-index: 1;
}

.bulanan {
	width: 320px;
	border-collapse: collapse;
	background-color: rgba(200,200,200,.7);
	z-index: 2;
}
.bulanan td {
	border: 1px solid #000;
	padding: 4px;
}
.bulanan tr:first-child td {
	font-size: 1.2em;
	font-weight: bold;
	text-align: center;
	border-radius: 5px;
}
.bulanan tr:nth-child(2) td {
	background-color: rgba(200,200,200,.8);
	font-weight: bold;
}
.bulanan tr:nth-child(n+2) td {
	text-align: right;
}

/* CSS */
.toolbar button {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 1px;
	padding: 2px !important;
	min-width: 47px !important;
	min-height: 57px !important;
	font-family: monospace;
	font-size: 7pt;
	box-shadow: none !important;
}
.toolbar button > img {
	width: 24px;
	height: 24px;
}
.toolbar button:first-child:not(:only-child) {
	border-right: none;
	border-radius: 3px 0 0 3px !important;
}
.toolbar button:last-child:not(:only-child) {
	border-left: none;
	border-radius: 0 3px 3px 0 !important;
}
.toolbar button:not(:first-child):not(:last-child) {
	border-right:none;
	border-left:none;
	border-radius: 0 !important;
}

.button-14 {
  background-image: linear-gradient(#f7f8fa ,#e7e9ec) !important;
  border-color: #adb1b8 #a2a6ac #8d9096 !important;
  border-style: solid !important;
  border-width: 1px !important;
  border-radius: 3px !important;
  box-shadow: rgba(255,255,255,.6) 0 1px 0 inset !important;
  box-sizing: border-box !important;
  color: #0f1111 !important;
  cursor: pointer !important;
  display: inline-block !important;
  font-family: "Amazon Ember",Arial,sans-serif !important;
  font-size: 14px !important;
  height: 29px !important;
  font-size: 13px !important;
  outline: 0 !important;
  overflow: hidden !important;
  padding: 0 11px !important;
  text-align: center !important;
  text-decoration: none !important;
  text-overflow: ellipsis !important;
  user-select: none !important;
  -webkit-user-select: none !important;
  touch-action: manipulation !important;
  white-space: nowrap !important;
}

.button-14:active {
  border-bottom-color: #a2a6ac !important;
}

.button-14:active:hover {
  border-bottom-color: #a2a6ac !important;
}

.button-14:hover {
  border-color: #a2a6ac #979aa1 #82858a !important;
}

.button-14:focus {
  border-color: #e77600 !important;
  box-shadow: rgba(228, 121, 17, .5) 0 0 3px 2px !important;
  outline: 0 !important;
}

/* ACCORDION TAB CSS */
.accordion {
  background: #f9f9f9;
}
.accordion-tabs {
  display: none;
}
.accordion-tabs :focus {
  outline: none;
}
.accordion-content {
	flex: 1 1 0;
	display: flex;
	flex-direction: column;
}
.accordion-item {
  flex: 1 1 0;
  border-bottom: 1px solid #eaeaea;
  display: flex;
  flex-direction: column;
}
.accordion-item:last-child {
  border: none;
}
.accordion-item__label {
  margin: 0;
  padding: 1.25rem;
  cursor: pointer;
  transition: padding 0.2s ease;
  position: relative;
}
.accordion-item__label:after {
  content: "";
  height: 4px;
  width: 4px;
  position: absolute;
  top: -4px;
  right: 1.25rem;
  bottom: 0;
  margin: auto;
  border: 3px solid transparent;
  border-radius: 2px;
  transform: rotate(45deg);
  border-color: transparent #447fff #447fff transparent;
  opacity: 1;
  transition: opacity 0.1s ease;
}
.accordion-item__label:hover {
  background: #d3e1ff;
}
.accordion-item__container {
  padding: 0 1.25em;
  height: 0;
  overflow: hidden;
  opacity: 0;
  transition: padding 0.2s ease, opacity 0.5s 0.15s ease;
}
.accordion-active {
  background: rgba(68, 127, 255, 0.1);
}
.accordion-active .accordion-item__label {
  padding-bottom: 0;
  cursor: inherit;
}
.accordion-active .accordion-item__label:hover {
  background: none;
}
.accordion-active .accordion-item__label:after {
  opacity: 0;
}
.accordion-active .accordion-item__container {
  padding: 1.25em;
  height: auto;
  opacity: 1;
}
.accordion-active .accordion-item__container p:first-child, .accordion-active .accordion-item__container h1:first-child, .accordion-active .accordion-item__container h2:first-child, .accordion-active .accordion-item__container h3:first-child, .accordion-active .accordion-item__container h4:first-child, .accordion-active .accordion-item__container h5:first-child, .accordion-active .accordion-item__container h6:first-child {
  margin-top: 0;
}
.accordion-active .accordion-item__container p:last-child, .accordion-active .accordion-item__container h1:last-child, .accordion-active .accordion-item__container h2:last-child, .accordion-active .accordion-item__container h3:last-child, .accordion-active .accordion-item__container h4:last-child, .accordion-active .accordion-item__container h5:last-child, .accordion-active .accordion-item__container h6:last-child {
  margin-bottom: 0;
}

/* @media (min-width: 600px) { */
  .accordion-tabs {
    display: flex;
    background: rgba(68, 127, 255, 0.1);
  }
  .accordion-tabs .accordion-tab {
    background: rgba(68, 127, 255, 0.1);
    padding: 0.5rem 1rem;
    font: inherit;
    flex: 1;
    border: none;
    cursor: pointer;
    transition: background 0.1s ease;
	min-height: 16px !important;
  }
  .accordion-tabs .accordion-tab:hover {
    background: rgba(249, 249, 249, 0.01);
  }
  .accordion-tabs .accordion-tab:last-child {
    border-right: 0;
  }
  .accordion-tabs .accordion-tab.accordion-active {
    background: #f9f9f9;
	font-weight: bold;
  }

  .accordion-item {
    /* padding: 2.4rem; */
    display: none;
    border: none;
    background: #f9f9f9;
    /* min-height: 260px; */
  }
  .accordion-item__label, .accordion-item__container {
    padding: 0;
    transition: inherit;
  }
  .accordion-item__label {
    margin-bottom: 1.5rem;
  }
  .accordion-item.accordion-active {
    display: flex;
  }
  .accordion-item.accordion-active .accordion-item__container {
    padding: 0;
  }
/* } */

.accordion {
  box-shadow: 0 1em 2em -0.9em rgba(0, 0, 0, 0.7);
  border-radius: 10px 10px 0 0;
  overflow: hidden;
  width: 100%;
  flex: 1 1 0;
  display: flex;
  flex-direction: column;
  /*max-width: 400px;*/
}
/*
@media (min-width: 600px) {
  .accordion {
    max-width: 600px;
  }
}
*/
.accordion + p {
  color: rgba(255, 255, 255, 0.8);
  font-weight: 300;
  font-size: 0.9rem;
  margin-top: 2rem;
}

#WEmpDetail_pein > div {
	flex: 1 1 0; 
	display:flex; 
	flex-direction:row;
}
/*
#WEmpDetail_pein > div > *:first-child {
	padding: 5px;
}
#WEmpDetail_pein > div > *:not(:first-child) {
	padding: 5px 5px 5px 0;
}
*/

.hovi {
	flex: 1 1 0;
	display: flex;
	flex-direction: row;
	cursor: default;
}

.hovi .col1,
#WEmpDetail_pein div.col1 {
	padding: 5px;
	max-width:15%; 
	display:flex; 
	flex-direction:column;
}
#WEmpDetail_pein div.col1 > div {
	flex: 1 1 0;
	display:flex; 
	flex-direction:column;
	overflow-y: auto;
}

.hovi .cols,
#WEmpDetail_pein div.cols {
	flex: 1 1 0;
	display:flex; 
	flex-direction:column;
	padding: 5px 5px 5px 0;
}
.hovi .cols .status-bar {
	margin: 0 !important;
	border: 1px solid var(--w7-w-bd);
}
.hovi .cols .accordion-item {
	display:flex;
	flex-direction: column;
}
.hovi .cols .accordion-item > *:first-child {
	flex: 1 1 0;
}
.hovi .col1 .avatar,
#WEmpDetail_pein img.avatar {
	/*width:100%;*/ 
	--s: 10px; /* control the size */
	padding: var(--s);
	border: calc(2*var(--s)) solid #0000;
	outline: 1px solid #000;
	outline-offset: calc(-1*var(--s));
	background: conic-gradient(from 90deg at 1px 1px,#0000 25%,#000 0);
}
.hovi .cols .row,
#WEmpDetail_pein div.cols .row {
	display: flex;
	flex-direction: row;
}
.hovi .cols .row.field,
#WEmpDetail_pein div.cols .row.field {
	display: flex;
	flex-direction: row;
}
.hovi .cols .row.field:not(:last-child),
#WEmpDetail_pein div.cols .row.field:not(:last-child) {
	border-style: solid;
	border-color: rgba(150,150,150,.5);
	border-width: 1px 1px 0 1px;
}
.hovi .cols .row.field:last-child,
#WEmpDetail_pein div.cols .row.field:last-child {
	border: 1px solid rgba(150,150,150,.5);
}
.hovi .cols .row.field .fname,
#WEmpDetail_pein div.cols .row.field .fname {
	flex: 1 1 0;
	font-weight: normal;
	padding: 5px;
	background-color: rgba(200,200,200,.7);
	text-overflow: ellipsis;
	overflow: hidden;
	text-wrap: nowrap;
}
.hovi .cols .row.field .fvalu,
#WEmpDetail_pein div.cols .row.field .fvalu {
	flex: 1 1 0;
	padding: 5px;
}
